#ifndef _SD_H
#define _SD_H

#include "integer.h"

#define	CMDREAD		17
#define	CMDWRITE	24
#define	CMDREADCSD	9

//inicjuj czytnik
CHAR sdInit(void);
//sprawdź system plików
CHAR sdState(void);
//pozwala na odczyt rejestru z karty i np pobranie wielkości karty
//z moją to i tak nie działa ;)
//CHAR sdgetDriveSize(void);
//wyślij komende
void sdCommand(BYTE cmd, WORD paramx, WORD paramy);

//odpowiedź 8bitowa
BYTE sdResp8b(void);
//błąd jeśli nastąpi
void sdResp8bError(BYTE value);
//odpowiedź 16 bitowa
WORD sdResp16b(void);


#endif //_SD_H
